QGIS Application - Bug report #14406
layer extent not updated after editing feature
2016-03-03 12:37 AM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 22387
Description

In 2.14, a dataset extend change as a result of saving feature edits fails to update (cached?) layer extend.
Steps to reproduce

1. Create a new project

2. Add the attached box shapefile dataset, and switch edit on

3. Zoom out of a few steps, and enlarge the square-ish polygon already present

4. Save the changes and switch edit off

5. Right click on the layer, and select "zoom to layer"

6. You'll notice it actually zooms to the extend of the layer prior to the edits you just saved

History

#1 - 2016-03-03 12:51 AM - Mathieu Pellerin - nIRV
Note: the layer extend doesn't get updated when you expand / shrink existing feature, but it will probably update if the extend is expanded via feature

creation.

#2 - 2016-03-29 05:19 PM - Mathieu Pellerin - nIRV

- Resolution set to fixed/implemented

- Target version changed from Future Release - High Priority to Version 2.16

- Status changed from Open to Closed

Fixed in commit 4ece916728da95b7fd98e8f46564df3cc0826fch

Thanks Nyall.

#3 - 2016-03-30 12:20 AM - Jiirgen Fischer

- Subject changed from layer extend not updated after editing feature to layer extent not updated after editing feature
